#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html.
# Run `pod lib lint awesome_notifications_fcm.podspec` to validate before publishing.
#
Pod::Spec.new do |s|
  s.name             = 'awesome_notifications_fcm'
  s.version          = '0.7.0'
  s.summary          = 'Complement of Awesome Notifications to allow firebase with all awesome resources in Flutter.'
  s.description      = <<-DESC
Complement of Awesome Notifications to allow firebase with all awesome resources in Flutter.
                       DESC
  s.homepage         = 'https://github.com/rafaelsetragni/awesome_notifications_fcm'
  s.license          = { :file => '../LICENSE' }
  s.author           = { 'Rafael Setragni' => 'rafaelsetra@gmail.com' }
  s.source           = { :path => '.' }
  s.source_files = 'Classes/**/*'
  s.dependency 'Flutter'
  s.dependency 'awesome_notifications'
  s.dependency 'IosAwnCore', '0.7.1'
  s.dependency 'IosAwnFcmDist', '0.7.0-alpha.2'
  s.dependency 'Firebase'
  s.dependency 'Firebase/Messaging'
  
  s.platform = :ios, '11.0'
  s.swift_version = '5.3'
  s.static_framework = true

  # Flutter.framework does not contain a i386 slice. Only x86_64 simulators are supported.
  s.pod_target_xcconfig = {
    'DEFINES_MODULE' => 'YES',
    'ONLY_ACTIVE_ARCH' => 'YES',
    'VALID_ARCHS[sdk=iphonesimulator*]' => 'x86_64',
    'ENABLE_BITCODE' => 'NO',
    'APPLICATION_EXTENSION_API_ONLY' => 'NO'
  }
  
  s.script_phase = {
      :name => 'Copy Flutter phase',
      :script => 'source "${SRCROOT}/../Flutter/flutter_export_environment.sh" && "${FLUTTER_ROOT}/packages/flutter_tools/bin/xcode_backend.sh" build',
      :execution_position => :before_compile
  }
end
